Update a billable metric
curl --request PATCH \
--url https://api.example.com/api/v1/metrics/{metric_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"filters": [
{
"property": "<string>",
"values": [
"<string>"
]
}
],
"name": "<string>",
"segmentation_matrix": {
"key": "<string>",
"values": [
"<string>"
]
},
"unit_conversion": {
"factor": 123
}
}
'import requests
url = "https://api.example.com/api/v1/metrics/{metric_id}"
payload = {
"description": "<string>",
"filters": [
{
"property": "<string>",
"values": ["<string>"]
}
],
"name": "<string>",
"segmentation_matrix": {
"key": "<string>",
"values": ["<string>"]
},
"unit_conversion": { "factor": 123 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
filters: [{property: '<string>', values: ['<string>']}],
name: '<string>',
segmentation_matrix: {key: '<string>', values: ['<string>']},
unit_conversion: {factor: 123}
})
};
fetch('https://api.example.com/api/v1/metrics/{metric_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"product_family_id": "<string>",
"aggregation_key": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"filters": [
{
"property": "<string>",
"values": [
"<string>"
]
}
],
"product_id": "prd_7n42DGM5Tflk9n8mt7Fhc7",
"segmentation_matrix": {
"key": "<string>",
"values": [
"<string>"
]
},
"unit_conversion": {
"factor": 123
},
"usage_group_key": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Metrics
Update a billable metric
Partially update metric fields. Code and aggregation_type are immutable.
PATCH
/
api
/
v1
/
metrics
/
{metric_id}
Update a billable metric
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Metric ID
Example:
"bm_7n42DGM5Tflk9n8mt7Fhc7"
Body
application/json
Response
Metric updated
Available options:
COUNT, LATEST, MAX, MIN, MEAN, SUM, COUNT_DISTINCT Example:
"bm_7n42DGM5Tflk9n8mt7Fhc7"
Example:
"pf_7n42DGM5Tflk9n8mt7Fhc7"
Show child attributes
Show child attributes
Example:
"prd_7n42DGM5Tflk9n8mt7Fhc7"
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I